diff -rupN arpack++1.2.orig/examples/areig/complex/acompsol.h arpack++1.2.patched/examples/areig/complex/acompsol.h
--- arpack++1.2.orig/examples/areig/complex/acompsol.h	2000-02-21 19:33:35.000000000 +0100
+++ arpack++1.2.patched/examples/areig/complex/acompsol.h	2006-01-26 15:37:47.000000000 +0100
@@ -18,7 +18,7 @@
 #ifndef ACOMPSOL_H
 #define ACOMPSOL_H
 
-#include <math.h>
+#include <cmath>
 #include "arcomp.h"
 #include "blas1c.h"
 #include "lapackc.h"
@@ -30,7 +30,7 @@ void Solution(ARINT nconv, ARINT n, ARIN
               arcomplex<ARFLOAT>* EigVec = 0)
 /*
   Prints eigenvalues and eigenvectors of nonsymmetric eigen-problems
-  on standard "cout" stream.
+  on standard "std::cout" stream.
 */
 
 {
@@ -40,20 +40,20 @@ void Solution(ARINT nconv, ARINT n, ARIN
   ARFLOAT*                                      ResNorm;
   ARluNonSymMatrix<arcomplex<ARFLOAT>, ARFLOAT> matrix(n, nnz, A, irow, pcol);
 
-  cout << endl << endl << "Testing ARPACK++ function AREig" << endl;
-  cout << "complex standard eigenvalue problem: A*x - lambda*x \n \n";
+  std::cout<< std::endl << std::endl << "Testing ARPACK++ function AREig" << std::endl;
+  std::cout<< "complex standard eigenvalue problem: A*x - lambda*x \n \n";
 
-  cout << "Dimension of the system            : " << n     << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv << endl << endl;
+  std::cout<< "Dimension of the system            : " << n     << std::endl;
+  std::cout<< "Number of 'converged' eigenvalues  : " << nconv << std::endl << std::endl;
 
   // Printing eigenvalues.
 
-  cout << "Eigenvalues:" << endl;
+  std::cout<< "Eigenvalues:" << std::endl;
 
   for (i=0; i<nconv; i++) {
-    cout << "  lambda[" << (i+1) << "]: " << EigVal[i] << endl;
+    std::cout<< "  lambda[" << (i+1) << "]: " << EigVal[i] << std::endl;
   }
-  cout << endl;
+  std::cout<< std::endl;
 
   // Printing eigenvectors.
 
@@ -72,10 +72,10 @@ void Solution(ARINT nconv, ARINT n, ARIN
     }
 
     for (i=0; i<nconv; i++) {
-      cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
-      cout << ")*x(" << (i+1) << ")||: " << ResNorm[i] << endl;
+      std::cout<< "||A*x(" << (i+1) << ") - lambda(" << (i+1);
+      std::cout<< ")*x(" << (i+1) << ")||: " << ResNorm[i] << std::endl;
     }
-    cout << endl;
+    std::cout<< std::endl;
 
     delete[] Ax;
     delete[] ResNorm;
@@ -92,7 +92,7 @@ void Solution(ARINT nconv, ARINT n, ARIN
               arcomplex<ARFLOAT> EigVal[], arcomplex<ARFLOAT>* EigVec = 0)
 /*
   Prints eigenvalues and eigenvectors of nonsymmetric generalized
-  eigen-problem on standard "cout" stream.
+  eigen-problem on standard "std::cout" stream.
 */
 
 {
@@ -104,20 +104,20 @@ void Solution(ARINT nconv, ARINT n, ARIN
   ARluNonSymMatrix<arcomplex<ARFLOAT>,ARFLOAT> matrixA(n, nnzA, A, irowA, pcolA);
   ARluNonSymMatrix<arcomplex<ARFLOAT>,ARFLOAT> matrixB(n, nnzB, B, irowB, pcolB);
 
-  cout << endl << endl << "Testing ARPACK++ function AREig" << endl;
-  cout << "Complex generalized eigenvalue problem: A*x - lambda*B*x \n \n";
+  std::cout<< std::endl << std::endl << "Testing ARPACK++ function AREig" << std::endl;
+  std::cout<< "Complex generalized eigenvalue problem: A*x - lambda*B*x \n \n";
 
-  cout << "Dimension of the system            : " << n     << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv << endl << endl;
+  std::cout<< "Dimension of the system            : " << n     << std::endl;
+  std::cout<< "Number of 'converged' eigenvalues  : " << nconv << std::endl << std::endl;
 
   // Printing eigenvalues.
 
-  cout << "Eigenvalues:" << endl;
+  std::cout<< "Eigenvalues:" << std::endl;
 
   for (i=0; i<nconv; i++) {
-    cout << "  lambda[" << (i+1) << "]: " << EigVal[i] << endl;
+    std::cout<< "  lambda[" << (i+1) << "]: " << EigVal[i] << std::endl;
   }
-  cout << endl;
+  std::cout<< std::endl;
 
   // Printing eigenvectors.
 
@@ -138,10 +138,10 @@ void Solution(ARINT nconv, ARINT n, ARIN
     }
 
     for (i=0; i<nconv; i++) {
-      cout << "||A*x(" << i << ") - lambda(" << i;
-      cout << ")*B*x(" << i << ")||: " << ResNorm[i] << endl;
+      std::cout<< "||A*x(" << i << ") - lambda(" << i;
+      std::cout<< ")*B*x(" << i << ")||: " << ResNorm[i] << std::endl;
     }
-    cout << endl;
+    std::cout<< std::endl;
 
     delete[] Ax;
     delete[] Bx;
diff -rupN arpack++1.2.orig/examples/areig/complex/Makefile arpack++1.2.patched/examples/areig/complex/Makefile
--- arpack++1.2.orig/examples/areig/complex/Makefile	2000-02-18 21:22:18.000000000 +0100
+++ arpack++1.2.patched/examples/areig/complex/Makefile	2006-01-26 15:37:47.000000000 +0100
@@ -36,7 +36,7 @@ acompgre:        acompgre.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core acompgre acompgsh acompreg acompshf
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/areig/nonsym/ansymsol.h arpack++1.2.patched/examples/areig/nonsym/ansymsol.h
--- arpack++1.2.orig/examples/areig/nonsym/ansymsol.h	2000-02-21 19:45:48.000000000 +0100
+++ arpack++1.2.patched/examples/areig/nonsym/ansymsol.h	2006-01-26 15:37:47.000000000 +0100
@@ -18,7 +18,7 @@
 #ifndef ANSYMSOL_H
 #define ANSYMSOL_H
 
-#include <math.h>
+#include <cmath>
 #include "blas1c.h"
 #include "lapackc.h"
 #include "arlnsmat.h"
@@ -29,7 +29,7 @@ void Solution(ARINT nconv, ARINT n, ARIN
               ARFLOAT* EigVec = 0)
 /*
   Prints eigenvalues and eigenvectors of nonsymmetric eigen-problem
-  on standard "cout" stream.
+  on standard "std::cout" stream.
 */
 
 {
@@ -39,26 +39,26 @@ void Solution(ARINT nconv, ARINT n, ARIN
   ARFLOAT*                           ResNorm;
   ARluNonSymMatrix<ARFLOAT, ARFLOAT> matrix(n, nnz, A, irow, pcol);
 
-  cout << endl << endl << "Testing ARPACK++ function AREig" << endl;
-  cout << "Real nonsymmetric eigenvalue problem: A*x - lambda*x \n \n";
+  std::cout << std::endl << std::endl << "Testing ARPACK++ function AREig" << std::endl;
+  std::cout << "Real nonsymmetric eigenvalue problem: A*x - lambda*x \n \n";
 
-  cout << "Dimension of the system            : " << n     << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv << endl << endl;
+  std::cout << "Dimension of the system            : " << n     << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv << std::endl << std::endl;
 
   // Printing eigenvalues.
 
-  cout << "Eigenvalues:" << endl;
+  std::cout << "Eigenvalues:" << std::endl;
 
   for (i=0; i<nconv; i++) {
-    cout << "  lambda[" << (i+1) << "]: " << EigValR[i];
+    std::cout << "  lambda[" << (i+1) << "]: " << EigValR[i];
     if (EigValI[i]>=0.0) {
-      cout << " + " << EigValI[i] << " I" << endl;
+      std::cout << " + " << EigValI[i] << " I" << std::endl;
     }
     else {
-      cout << " - " << fabs(EigValI[i]) << " I" << endl;
+      std::cout << " - " << fabs(EigValI[i]) << " I" << std::endl;
     }
   }
-  cout << endl;
+  std::cout << std::endl;
 
   // Printing eigenvectors.
 
@@ -97,10 +97,10 @@ void Solution(ARINT nconv, ARINT n, ARIN
     }
 
     for (i=0; i<nconv; i++) {
-      cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
-      cout << ")*x(" << (i+1) << ")||: " << ResNorm[i] << endl;
+      std::cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
+      std::cout << ")*x(" << (i+1) << ")||: " << ResNorm[i] << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
 
     delete[] Ax;
     delete[] ResNorm;
@@ -117,7 +117,7 @@ void Solution(ARINT nconv, ARINT n, ARIN
               ARFLOAT* EigVec = 0)
 /*
   Prints eigenvalues and eigenvectors of nonsymmetric generalized
-  eigen-problem on standard "cout" stream.
+  eigen-problem on standard "std::cout" stream.
 */
 
 {
@@ -129,27 +129,27 @@ void Solution(ARINT nconv, ARINT n, ARIN
   ARluNonSymMatrix<ARFLOAT, ARFLOAT> matrixA(n, nnzA, A, irowA, pcolA);
   ARluNonSymMatrix<ARFLOAT, ARFLOAT> matrixB(n, nnzB, B, irowB, pcolB);
 
-  cout << endl << endl << "Testing ARPACK++ function AREig" << endl;
-  cout << "Real nonsymmetric generalized eigenvalue problem: A*x - lambda*B*x";
-  cout << endl << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ function AREig" << std::endl;
+  std::cout << "Real nonsymmetric generalized eigenvalue problem: A*x - lambda*B*x";
+  std::cout << std::endl << std::endl;
 
-  cout << "Dimension of the system            : " << n     << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv << endl << endl;
+  std::cout << "Dimension of the system            : " << n     << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv << std::endl << std::endl;
 
   // Printing eigenvalues.
 
-  cout << "Eigenvalues:" << endl;
+  std::cout << "Eigenvalues:" << std::endl;
 
   for (i=0; i<nconv; i++) {
-    cout << "  lambda[" << (i+1) << "]: " << EigValR[i];
+    std::cout << "  lambda[" << (i+1) << "]: " << EigValR[i];
     if (EigValI[i]>=0.0) {
-      cout << " + " << EigValI[i] << " I" << endl;
+      std::cout << " + " << EigValI[i] << " I" << std::endl;
     }
     else {
-      cout << " - " << fabs(EigValI[i]) << " I" << endl;
+      std::cout << " - " << fabs(EigValI[i]) << " I" << std::endl;
     }
   }
-  cout << endl;
+  std::cout << std::endl;
 
   // Printing eigenvectors.
 
@@ -193,10 +193,10 @@ void Solution(ARINT nconv, ARINT n, ARIN
     }
 
     for (i=0; i<nconv; i++) {
-      cout << "||A*x(" << i << ") - lambda(" << i;
-      cout << ")*B*x(" << i << ")||: " << ResNorm[i] << endl;
+      std::cout << "||A*x(" << i << ") - lambda(" << i;
+      std::cout << ")*B*x(" << i << ")||: " << ResNorm[i] << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
 
     delete[] Ax;
     delete[] Bx;
diff -rupN arpack++1.2.orig/examples/areig/nonsym/Makefile arpack++1.2.patched/examples/areig/nonsym/Makefile
--- arpack++1.2.orig/examples/areig/nonsym/Makefile	2000-02-18 22:19:24.000000000 +0100
+++ arpack++1.2.patched/examples/areig/nonsym/Makefile	2006-01-26 15:37:47.000000000 +0100
@@ -42,7 +42,7 @@ ansymgsc:        ansymgsc.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core ansymgre ansymgsc ansymgsh ansymreg ansymshf simple
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/areig/nonsym/simple.cc arpack++1.2.patched/examples/areig/nonsym/simple.cc
--- arpack++1.2.orig/examples/areig/nonsym/simple.cc	2000-02-18 22:17:43.000000000 +0100
+++ arpack++1.2.patched/examples/areig/nonsym/simple.cc	2006-01-26 15:37:47.000000000 +0100
@@ -18,7 +18,7 @@
 
 #include "lnmatrxc.h"
 #include "areig.h"
-#include <math.h>
+#include <cmath>
 
 int main()
 {
@@ -50,16 +50,16 @@ int main()
 
   // Printing eigenvalues.
 
-  cout << "Eigenvalues:" << endl;
+  std::cout << "Eigenvalues:" << std::endl;
   for (int i=0; i<nconv; i++) {
-    cout << "  lambda[" << (i+1) << "]: " << EigValR[i];
+    std::cout << "  lambda[" << (i+1) << "]: " << EigValR[i];
     if (EigValI[i]>=0.0) {
-      cout << " + " << EigValI[i] << " I" << endl;
+      std::cout << " + " << EigValI[i] << " I" << std::endl;
     }
     else {
-      cout << " - " << fabs(EigValI[i]) << " I" << endl;
+      std::cout << " - " << fabs(EigValI[i]) << " I" << std::endl;
     }
   }
-  cout << endl;
+  std::cout << std::endl;
 
 } // main
diff -rupN arpack++1.2.orig/examples/areig/sym/asymsol.h arpack++1.2.patched/examples/areig/sym/asymsol.h
--- arpack++1.2.orig/examples/areig/sym/asymsol.h	2000-02-21 19:53:20.000000000 +0100
+++ arpack++1.2.patched/examples/areig/sym/asymsol.h	2006-01-26 15:37:47.000000000 +0100
@@ -18,7 +18,7 @@
 #ifndef ASYMSOL_H
 #define ASYMSOL_H
 
-#include <math.h>
+#include <cmath>
 #include "blas1c.h"
 #include "lapackc.h"
 #include "arlsmat.h"
@@ -28,7 +28,7 @@ void Solution(ARINT nconv, ARINT n, ARIN
               ARINT pcol[], char uplo, ARFLOAT EigVal[], ARFLOAT* EigVec = 0)
 /*
   Prints eigenvalues and eigenvectors of symmetric eigen-problems
-  on standard "cout" stream.
+  on standard "std::cout" stream.
 */
 
 {
@@ -38,20 +38,20 @@ void Solution(ARINT nconv, ARINT n, ARIN
   ARFLOAT*               ResNorm;
   ARluSymMatrix<ARFLOAT> matrix(n, nnz, A, irow, pcol, uplo);
 
-  cout << endl << endl << "Testing ARPACK++ function AREig" << endl;
-  cout << "Real symmetric eigenvalue problem: A*x - lambda*x \n \n";
+  std::cout << std::endl << std::endl << "Testing ARPACK++ function AREig" << std::endl;
+  std::cout << "Real symmetric eigenvalue problem: A*x - lambda*x \n \n";
 
-  cout << "Dimension of the system            : " << n     << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv << endl << endl;
+  std::cout << "Dimension of the system            : " << n     << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv << std::endl << std::endl;
 
   // Printing eigenvalues.
 
-  cout << "Eigenvalues:" << endl;
+  std::cout << "Eigenvalues:" << std::endl;
 
   for (i=0; i<nconv; i++) {
-    cout << "  lambda[" << (i+1) << "]: " << EigVal[i] << endl;
+    std::cout << "  lambda[" << (i+1) << "]: " << EigVal[i] << std::endl;
   }
-  cout << endl;
+  std::cout << std::endl;
 
   // Printing eigenvectors.
 
@@ -70,10 +70,10 @@ void Solution(ARINT nconv, ARINT n, ARIN
     }
 
     for (i=0; i<nconv; i++) {
-      cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
-      cout << ")*x(" << (i+1) << ")||: " << ResNorm[i] << endl;
+      std::cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
+      std::cout << ")*x(" << (i+1) << ")||: " << ResNorm[i] << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
 
     delete[] Ax;
     delete[] ResNorm;
@@ -89,7 +89,7 @@ void Solution(ARINT nconv, ARINT n, ARIN
               ARINT pcolB[], char uplo, ARFLOAT EigVal[], ARFLOAT* EigVec = 0)
 /*
   Prints eigenvalues and eigenvectors of symmetric generalized
-  eigen-problem on standard "cout" stream.
+  eigen-problem on standard "std::cout" stream.
 */
 
 {
@@ -100,21 +100,21 @@ void Solution(ARINT nconv, ARINT n, ARIN
   ARluSymMatrix<ARFLOAT> matrixA(n, nnzA, A, irowA, pcolA, uplo);
   ARluSymMatrix<ARFLOAT> matrixB(n, nnzB, B, irowB, pcolB, uplo);
 
-  cout << endl << endl << "Testing ARPACK++ function AREig" << endl;
-  cout << "Real symmetric generalized eigenvalue problem: A*x - lambda*B*x";
-  cout << endl << endl;
+  std::cout << std::endl <<std::endl << "Testing ARPACK++ function AREig" <<std::endl;
+  std::cout << "Real symmetric generalized eigenvalue problem: A*x - lambda*B*x";
+  std::cout << std::endl <<std::endl;
 
-  cout << "Dimension of the system            : " << n     << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv << endl << endl;
+  std::cout << "Dimension of the system            : " << n     << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv << std::endl <<std::endl;
 
   // Printing eigenvalues.
 
-  cout << "Eigenvalues:" << endl;
+  std::cout << "Eigenvalues:" << std::endl;
 
   for (i=0; i<nconv; i++) {
-    cout << "  lambda[" << (i+1) << "]: " << EigVal[i] << endl;
+    std::cout << "  lambda[" << (i+1) << "]: " << EigVal[i] << std::endl;
   }
-  cout << endl;
+  std::cout << std::endl;
 
   // Printing eigenvectors.
 
@@ -135,10 +135,10 @@ void Solution(ARINT nconv, ARINT n, ARIN
     }
 
     for (i=0; i<nconv; i++) {
-      cout << "||A*x(" << i << ") - lambda(" << i;
-      cout << ")*B*x(" << i << ")||: " << ResNorm[i] << endl;
+      std::cout << "||A*x(" << i << ") - lambda(" << i;
+      std::cout << ")*B*x(" << i << ")||: " << ResNorm[i] << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
 
     delete[] Ax;
     delete[] Bx;
diff -rupN arpack++1.2.orig/examples/areig/sym/Makefile arpack++1.2.patched/examples/areig/sym/Makefile
--- arpack++1.2.orig/examples/areig/sym/Makefile	2000-02-18 22:11:18.000000000 +0100
+++ arpack++1.2.patched/examples/areig/sym/Makefile	2006-01-26 15:37:46.000000000 +0100
@@ -42,7 +42,7 @@ asymgcay:	asymgcay.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core asymgbkl asymgcay asymgreg asymgshf asymreg asymshf
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/band/complex/Makefile arpack++1.2.patched/examples/band/complex/Makefile
--- arpack++1.2.orig/examples/band/complex/Makefile	2000-02-18 19:40:44.000000000 +0100
+++ arpack++1.2.patched/examples/band/complex/Makefile	2006-01-26 15:37:47.000000000 +0100
@@ -32,7 +32,7 @@ bcompgsh:	bcompgsh.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core bcompreg bcompshf bcompgre bcompgsh
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/band/nonsym/bsvd.cc arpack++1.2.patched/examples/band/nonsym/bsvd.cc
--- arpack++1.2.orig/examples/band/nonsym/bsvd.cc	2000-02-18 19:35:55.000000000 +0100
+++ arpack++1.2.patched/examples/band/nonsym/bsvd.cc	2006-01-26 15:37:47.000000000 +0100
@@ -45,8 +45,8 @@
 #include "arssym.h"
 #include "bnmatrxw.h"
 #include "arbnsmat.h"
-#include "iostream.h"
-#include <math.h>
+#include <iostream>
+#include <cmath>
 
 
 int main()
@@ -90,11 +90,11 @@ int main()
 
   // Printing some information about the problem.
 
-  cout << endl << "Testing ARPACK++ class ARSymStdEig" << endl;
-  cout << "Obtaining singular values by solving (A'*A)*v = sigma*v" << endl;
-  cout << endl << "greatest singular values: " << endl; 
+  std::cout << std::endl << "Testing ARPACK++ class ARSymStdEig" << std::endl;
+  std::cout << "Obtaining singular values by solving (A'*A)*v = sigma*v" << std::endl;
+  std::cout << std::endl << "greatest singular values: " << std::endl; 
   for (i=0; i<4; i++) {
-    cout << "  sigma [" << i+1 << "]: " << svalue[i] << endl;
+    std::cout << "  sigma [" << i+1 << "]: " << svalue[i] << std::endl;
   }
 
 } // main.
diff -rupN arpack++1.2.orig/examples/band/nonsym/Makefile arpack++1.2.patched/examples/band/nonsym/Makefile
--- arpack++1.2.orig/examples/band/nonsym/Makefile	2000-02-18 19:30:35.000000000 +0100
+++ arpack++1.2.patched/examples/band/nonsym/Makefile	2006-01-26 15:37:47.000000000 +0100
@@ -38,7 +38,7 @@ bsvd:	bsvd.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core bnsymreg bnsymshf bnsymgre bnsymgsh bnsymgsc bsvd
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/band/sym/Makefile arpack++1.2.patched/examples/band/sym/Makefile
--- arpack++1.2.orig/examples/band/sym/Makefile	2000-02-18 19:27:56.000000000 +0100
+++ arpack++1.2.patched/examples/band/sym/Makefile	2006-01-26 15:37:47.000000000 +0100
@@ -38,7 +38,7 @@ bsymgcay:	bsymgcay.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core bsymreg bsymshf bsymgreg bsymgshf bsymgbkl bsymgcay
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/dense/complex/Makefile arpack++1.2.patched/examples/dense/complex/Makefile
--- arpack++1.2.orig/examples/dense/complex/Makefile	2000-02-18 21:18:23.000000000 +0100
+++ arpack++1.2.patched/examples/dense/complex/Makefile	2006-01-26 15:37:49.000000000 +0100
@@ -32,7 +32,7 @@ dcompgsh:	dcompgsh.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core dcompreg dcompshf dcompgre dcompgsh
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/dense/nonsym/dsvd2.cc arpack++1.2.patched/examples/dense/nonsym/dsvd2.cc
--- arpack++1.2.orig/examples/dense/nonsym/dsvd2.cc	2000-02-18 21:12:32.000000000 +0100
+++ arpack++1.2.patched/examples/dense/nonsym/dsvd2.cc	2006-01-26 15:37:49.000000000 +0100
@@ -47,7 +47,7 @@
 #include "arssym.h"
 #include "ardnsmat.h"
 #include "iostream.h"
-#include <math.h>
+#include <cmath>
 
 
 int main()
@@ -80,11 +80,11 @@ int main()
 
   // Printing some information about the problem.
 
-  cout << endl << "Testing ARPACK++ class ARSymStdEig" << endl;
-  cout << "Obtaining singular values by solving (A'*A)*v = sigma*v" << endl;
-  cout << endl << "greatest singular values: " << endl; 
+  std::cout << std::endl << "Testing ARPACK++ class ARSymStdEig" << std::endl;
+  std::cout << "Obtaining singular values by solving (A'*A)*v = sigma*v" << std::endl;
+  std::cout << std::endl << "greatest singular values: " << std::endl; 
   for (i=0; i<4; i++) {
-    cout << "  sigma [" << i+1 << "]: " << svalue[i] << endl;
+    std::cout << "  sigma [" << i+1 << "]: " << svalue[i] << std::endl;
   }
 
 } // main.
diff -rupN arpack++1.2.orig/examples/dense/nonsym/dsvd.cc arpack++1.2.patched/examples/dense/nonsym/dsvd.cc
--- arpack++1.2.orig/examples/dense/nonsym/dsvd.cc	2000-02-18 21:11:17.000000000 +0100
+++ arpack++1.2.patched/examples/dense/nonsym/dsvd.cc	2006-01-26 15:37:49.000000000 +0100
@@ -42,8 +42,8 @@
 #include "arssym.h"
 #include "dnmatrxw.h"
 #include "ardnsmat.h"
-#include "iostream.h"
-#include <math.h>
+#include <iostream>
+#include <cmath>
 
 
 int main()
@@ -85,11 +85,11 @@ int main()
 
   // Printing some information about the problem.
 
-  cout << endl << "Testing ARPACK++ class ARSymStdEig" << endl;
-  cout << "Obtaining singular values by solving (A'*A)*v = sigma*v" << endl;
-  cout << endl << "greatest singular values: " << endl; 
+  std::cout << std::endl << "Testing ARPACK++ class ARSymStdEig" << std::endl;
+  std::cout << "Obtaining singular values by solving (A'*A)*v = sigma*v" << std::endl;
+  std::cout << std::endl << "greatest singular values: " << std::endl; 
   for (i=0; i<4; i++) {
-    cout << "  sigma [" << i+1 << "]: " << svalue[i] << endl;
+    std::cout << "  sigma [" << i+1 << "]: " << svalue[i] << std::endl;
   }
 
 } // main.
diff -rupN arpack++1.2.orig/examples/dense/nonsym/Makefile arpack++1.2.patched/examples/dense/nonsym/Makefile
--- arpack++1.2.orig/examples/dense/nonsym/Makefile	2000-02-18 21:11:42.000000000 +0100
+++ arpack++1.2.patched/examples/dense/nonsym/Makefile	2006-01-26 15:37:49.000000000 +0100
@@ -41,7 +41,7 @@ dsvd2:	dsvd2.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core dnsymreg dnsymshf dnsymgre dnsymgsh dnsymgsc dsvd
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/dense/sym/Makefile arpack++1.2.patched/examples/dense/sym/Makefile
--- arpack++1.2.orig/examples/dense/sym/Makefile	2000-02-18 20:33:51.000000000 +0100
+++ arpack++1.2.patched/examples/dense/sym/Makefile	2006-01-26 15:37:49.000000000 +0100
@@ -38,7 +38,7 @@ dsymgcay:	dsymgcay.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core dsymreg dsymshf dsymgreg dsymgshf dsymgbkl dsymgcay
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/harwell/complex/hcompgen.cc arpack++1.2.patched/examples/harwell/complex/hcompgen.cc
--- arpack++1.2.orig/examples/harwell/complex/hcompgen.cc	2000-02-22 17:28:48.000000000 +0100
+++ arpack++1.2.patched/examples/harwell/complex/hcompgen.cc	2006-01-26 15:37:48.000000000 +0100
@@ -32,7 +32,7 @@
       Houston, Texas
 */
 
-#include <iostream.h>
+#include <iostream>
 #include "arerror.h"
 #include "arlnsmat.h"
 #include "arlgcomp.h"
@@ -45,21 +45,21 @@ void PrintHelp()
 */
 {
 
-  cout << "ARPACK++ version 1.2 feb 2000" << endl;
-  cout << "hcompgen: a generalized complex eigenvalue problems solver" << endl;
-  cout << "usage:    hcompgen [parameters] file1 file2" << endl;
-  cout << "parameters:" << endl;
-  cout << "      -n <number of desired eigenvalues>" << endl;
-  cout << "      -c <number of Arnoldi vectors per iteration>" << endl;
-  cout << "      -l <maximum number of iterations>" << endl;
-  cout << "      -s <real part of the shift>" << endl;
-  cout << "      -i <imaginary part of the shift>" << endl;
-  cout << "      -t <stopping criterion>" << endl;
-  cout << "      -u <LU pivot threshold>" << endl;
-  cout << "      -o <column ordering for factorization>" << endl;
-  cout << "      -w <desired portion of the spectrum. " << endl;
-  cout << "          acceptable values: LM, SM, LR, SR, LI, SI>" << endl;
-  cout << endl;
+  std::cout << "ARPACK++ version 1.2 feb 2000" << std::endl;
+  std::cout << "hcompgen: a generalized complex eigenvalue problems solver" << std::endl;
+  std::cout << "usage:    hcompgen [parameters] file1 file2" << std::endl;
+  std::cout << "parameters:" << std::endl;
+  std::cout << "      -n <number of desired eigenvalues>" << std::endl;
+  std::cout << "      -c <number of Arnoldi vectors per iteration>" << std::endl;
+  std::cout << "      -l <maximum number of iterations>" << std::endl;
+  std::cout << "      -s <real part of the shift>" << std::endl;
+  std::cout << "      -i <imaginary part of the shift>" << std::endl;
+  std::cout << "      -t <stopping criterion>" << std::endl;
+  std::cout << "      -u <LU pivot threshold>" << std::endl;
+  std::cout << "      -o <column ordering for factorization>" << std::endl;
+  std::cout << "      -w <desired portion of the spectrum. " << std::endl;
+  std::cout << "          acceptable values: LM, SM, LR, SR, LI, SI>" << std::endl;
+  std::cout << std::endl;
 
 } // PrintHelp.
 
@@ -140,7 +140,7 @@ bool ReadParameters(int n, char* v[], in
           thresh = atof(v[i++]);
           break;
         default :
-          cout << "unrecognized parameter: -" << v[i-1][1] << endl;
+          std::cout << "unrecognized parameter: -" << v[i-1][1] << std::endl;
           ok = false; 
         }
       }
diff -rupN arpack++1.2.orig/examples/harwell/complex/hcompstd.cc arpack++1.2.patched/examples/harwell/complex/hcompstd.cc
--- arpack++1.2.orig/examples/harwell/complex/hcompstd.cc	2000-02-22 17:28:18.000000000 +0100
+++ arpack++1.2.patched/examples/harwell/complex/hcompstd.cc	2006-01-26 15:37:48.000000000 +0100
@@ -32,7 +32,7 @@
       Houston, Texas
 */
 
-#include <iostream.h>
+#include <iostream>
 #include "arerror.h"
 #include "arlnsmat.h"
 #include "arlscomp.h"
@@ -45,21 +45,21 @@ void PrintHelp()
 */
 {
 
-  cout << "ARPACK++ version 1.2 feb 2000" << endl;
-  cout << "hcompstd: a standard complex eigenvalue problems solver" << endl;
-  cout << "usage:    hcompstd [parameters] file" << endl;
-  cout << "parameters:" << endl;
-  cout << "      -n (number of desired eigenvalues)" << endl;
-  cout << "      -c (number of Arnoldi vectors per iteration)" << endl;
-  cout << "      -l (maximum number of iterations)" << endl;
-  cout << "      -s (real part of the shift)" << endl;
-  cout << "      -i (imaginary part of the shift)" << endl;
-  cout << "      -t (stopping criterion)" << endl;
-  cout << "      -u (LU pivot threshold)" << endl;
-  cout << "      -o (column ordering for factorization)" << endl;
-  cout << "      -w (desired portion of the spectrum. " << endl;
-  cout << "          acceptable values: LM, SM, LR, SR, LI, SI)" << endl;
-  cout << endl;
+  std::cout << "ARPACK++ version 1.2 feb 2000" << std::endl;
+  std::cout << "hcompstd: a standard complex eigenvalue problems solver" << std::endl;
+  std::cout << "usage:    hcompstd [parameters] file" << std::endl;
+  std::cout << "parameters:" << std::endl;
+  std::cout << "      -n (number of desired eigenvalues)" << std::endl;
+  std::cout << "      -c (number of Arnoldi vectors per iteration)" << std::endl;
+  std::cout << "      -l (maximum number of iterations)" << std::endl;
+  std::cout << "      -s (real part of the shift)" << std::endl;
+  std::cout << "      -i (imaginary part of the shift)" << std::endl;
+  std::cout << "      -t (stopping criterion)" << std::endl;
+  std::cout << "      -u (LU pivot threshold)" << std::endl;
+  std::cout << "      -o (column ordering for factorization)" << std::endl;
+  std::cout << "      -w (desired portion of the spectrum. " << std::endl;
+  std::cout << "          acceptable values: LM, SM, LR, SR, LI, SI)" << std::endl;
+  std::cout << std::endl;
 
 } // PrintHelp.
 
@@ -139,7 +139,7 @@ bool ReadParameters(int n, char* v[], in
           thresh = atof(v[i++]);
           break;
         default :
-          cout << "unrecognized parameter: -" << v[i-1][1] << endl;
+          std::cout << "unrecognized parameter: -" << v[i-1][1] << std::endl;
           ok = false; 
         }
       }
diff -rupN arpack++1.2.orig/examples/harwell/complex/Makefile arpack++1.2.patched/examples/harwell/complex/Makefile
--- arpack++1.2.orig/examples/harwell/complex/Makefile	2000-02-22 17:36:39.000000000 +0100
+++ arpack++1.2.patched/examples/harwell/complex/Makefile	2006-01-26 15:37:48.000000000 +0100
@@ -26,7 +26,7 @@ hcompgen:	hcompgen.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core hcompstd hcompgen
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/harwell/nonsym/hnsymgen.cc arpack++1.2.patched/examples/harwell/nonsym/hnsymgen.cc
--- arpack++1.2.orig/examples/harwell/nonsym/hnsymgen.cc	2000-02-22 17:46:51.000000000 +0100
+++ arpack++1.2.patched/examples/harwell/nonsym/hnsymgen.cc	2006-01-26 15:37:49.000000000 +0100
@@ -33,7 +33,7 @@
       Houston, Texas
 */
 
-#include <iostream.h>
+#include <iostream>
 #include "arerror.h"
 #include "arlnsmat.h"
 #include "arlgnsym.h"
@@ -46,22 +46,22 @@ void PrintHelp()
 */
 {
 
-  cout << "ARPACK++ version 1.2 fev 2000" << endl;
-  cout << "hnsymgen: a generalized nonsymmetric eigenproblems solver" << endl;
-  cout << "usage:    hnsymgen [parameters] file1 file2" << endl;
-  cout << "parameters:" << endl;
-  cout << "      -n <number of desired eigenvalues>" << endl;
-  cout << "      -c <number of Arnoldi vectors per iteration>" << endl;
-  cout << "      -l <maximum number of iterations>" << endl;
-  cout << "      -s <real part of the shift>" << endl;
-  cout << "      -i <imaginary part of the shift>" << endl;
-  cout << "      -p <part of inv(A-sB)*v considered (R or I))>" << endl;
-  cout << "      -t <stopping criterion>" << endl;
-  cout << "      -u <LU pivot threshold>" << endl;
-  cout << "      -o <column ordering for factorization>" << endl;
-  cout << "      -w <desired portion of the spectrum. " << endl;
-  cout << "          acceptable values: LM, SM, LR, SR, LI, SI>" << endl;
-  cout << endl;
+  std::cout << "ARPACK++ version 1.2 fev 2000" << std::endl;
+  std::cout << "hnsymgen: a generalized nonsymmetric eigenproblems solver" << std::endl;
+  std::cout << "usage:    hnsymgen [parameters] file1 file2" << std::endl;
+  std::cout << "parameters:" << std::endl;
+  std::cout << "      -n <number of desired eigenvalues>" << std::endl;
+  std::cout << "      -c <number of Arnoldi vectors per iteration>" << std::endl;
+  std::cout << "      -l <maximum number of iterations>" << std::endl;
+  std::cout << "      -s <real part of the shift>" << std::endl;
+  std::cout << "      -i <imaginary part of the shift>" << std::endl;
+  std::cout << "      -p <part of inv(A-sB)*v considered (R or I))>" << std::endl;
+  std::cout << "      -t <stopping criterion>" << std::endl;
+  std::cout << "      -u <LU pivot threshold>" << std::endl;
+  std::cout << "      -o <column ordering for factorization>" << std::endl;
+  std::cout << "      -w <desired portion of the spectrum. " << std::endl;
+  std::cout << "          acceptable values: LM, SM, LR, SR, LI, SI>" << std::endl;
+  std::cout << std::endl;
 
 } // PrintHelp.
 
@@ -146,7 +146,7 @@ bool ReadParameters(int n, char* v[], in
           thresh = atof(v[i++]);
           break;
         default :
-          cout << "unrecognized parameter: -" << v[i-1][1] << endl;
+          std::cout << "unrecognized parameter: -" << v[i-1][1] << std::endl;
           ok = false; 
         }
       }
